ath10k_pci 0000:03:00.0: firmware crashed! (uuid n/a)

Bug #1627474 reported by Michael Nelson on 2016-09-25
34
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Unassigned

Bug Description

The wireless card in my Acer V3-372-587T suffers from firmware crashes regularly (every 5-10mins approx).

$ lsb_release -rd
Description: Ubuntu Yakkety Yak (development branch)
Release: 16.10

Checking dmesg I see:

$ dmesg | grep ath10k [91/214]
[ 7.773800] ath10k_pci 0000:03:00.0: pci irq msi oper_irq_mode 2 irq_mode 0 reset_mode 0
[ 8.123875] request_firmware: ath10k/pre-cal-pci-0000:03:00.0.bin
[ 8.126477] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/pre-cal-pci-0000:03:00.0.bin fa$
led with error -2
[ 8.126481] request_firmware: ath10k/cal-pci-0000:03:00.0.bin
[ 8.126492] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed
with error -2
[ 8.126493] request_firmware: ath10k/QCA6174/hw3.0/firmware-5.bin
[ 8.127095] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin fa$
led with error -2
[ 8.127098] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.$
in': -2
[ 8.127101] request_firmware: ath10k/QCA6174/hw3.0/firmware-4.bin
[ 8.129458] ath10k_pci 0000:03:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 105b:e09$
[ 8.129460] ath10k_pci 0000:03:00.0: kconfig debug 0 debugfs 0 tracing 0 dfs 0 testmode 0
[ 8.129954] ath10k_pci 0000:03:00.0: firmware ver WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 features wowla$
,ignore-otp,no-4addr-pad crc32 75dee6c5
[ 8.195123] request_firmware: ath10k/QCA6174/hw3.0/board-2.bin
[ 8.198141] ath10k_pci 0000:03:00.0: board_file api 2 bmi_id N/A crc32 6fc88fe7
[ 10.338326] ath10k_pci 0000:03:00.0: htt-ver 3.26 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypt$
 1
[ 10.436186] ath10k_pci 0000:03:00.0 wlp3s0: renamed from wlan0
[ 319.064117] ath10k_pci 0000:03:00.0: firmware crashed! (uuid n/a)
[ 319.064164] ath10k_pci 0000:03:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 105b:e09$
[ 319.064174] ath10k_pci 0000:03:00.0: kconfig debug 0 debugfs 0 tracing 0 dfs 0 testmode 0
[ 319.066828] ath10k_pci 0000:03:00.0: firmware ver WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 features wowla$
,ignore-otp,no-4addr-pad crc32 75dee6c5
[ 319.068042] ath10k_pci 0000:03:00.0: board_file api 2 bmi_id N/A crc32 6fc88fe7
[ 319.068055] ath10k_pci 0000:03:00.0: htt-ver 3.26 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypt$
 1
[ 319.070104] ath10k_pci 0000:03:00.0: firmware register dump:
[ 319.070127] ath10k_pci 0000:03:00.0: [00]: 0x05030000 0x000015B3 0x009860FA 0x00955B31
[ 319.070139] ath10k_pci 0000:03:00.0: [04]: 0x009860FA 0x00060730 0x00000004 0x0040E8A0
[ 319.070148] ath10k_pci 0000:03:00.0: [08]: 0x00498110 0x00955A00 0x0000000B 0x00400000
[ 319.070158] ath10k_pci 0000:03:00.0: [12]: 0x00000009 0x00000000 0x00952CD0 0x00952CE6
[ 319.070167] ath10k_pci 0000:03:00.0: [16]: 0x00952CC4 0x0091080D 0x00000000 0x0091080D
[ 319.070176] ath10k_pci 0000:03:00.0: [20]: 0x409860FA 0x0040E7E8 0x00000000 0x0041E0DC
[ 319.070195] ath10k_pci 0000:03:00.0: [24]: 0x800B5A1D 0x0040E848 0x000FFFFF 0xC09860FA
[ 319.070214] ath10k_pci 0000:03:00.0: [28]: 0x809B3230 0x0040E948 0x00000018 0x004313DC
[ 319.070231] ath10k_pci 0000:03:00.0: [32]: 0x809B2992 0x0040E998 0x0040E9BC 0x00429548
[ 319.070246] ath10k_pci 0000:03:00.0: [36]: 0x8091D252 0x0040E9B8 0x00000000 0x00000001
[ 319.070255] ath10k_pci 0000:03:00.0: [40]: 0x809FF05D 0x0040EA68 0x0043A380 0x00429C10
[ 319.070264] ath10k_pci 0000:03:00.0: [44]: 0x809FCFDB 0x0040EA88 0x0043A380 0x00000001
[ 319.070272] ath10k_pci 0000:03:00.0: [48]: 0x80911210 0x0040EAD8 0x00000010 0x004041D0
[ 319.070281] ath10k_pci 0000:03:00.0: [52]: 0x80911154 0x0040EB28 0x00400000 0x00000000
[ 319.070290] ath10k_pci 0000:03:00.0: [56]: 0x8091122D 0x0040EB48 0x00000000 0x00400600
[ 321.584066] ath10k_pci 0000:03:00.0: device successfully recovered
[ 2409.664284] ath10k_pci 0000:03:00.0: firmware crashed! (uuid n/a)
[ 2409.664332] ath10k_pci 0000:03:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 105b:e09d
[ 2409.664342] ath10k_pci 0000:03:00.0: kconfig debug 0 debugfs 0 tracing 0 dfs 0 testmode 0
[ 2409.667010] ath10k_pci 0000:03:00.0: firmware ver WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 features wowlan
,ignore-otp,no-4addr-pad crc32 75dee6c5
[ 2409.668230] ath10k_pci 0000:03:00.0: board_file api 2 bmi_id N/A crc32 6fc88fe7
[ 2409.668243] ath10k_pci 0000:03:00.0: htt-ver 3.26 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto
 1
[ 2409.670262] ath10k_pci 0000:03:00.0: firmware register dump:
[ 2409.670279] ath10k_pci 0000:03:00.0: [00]: 0x05030000 0x000015B3 0x009860FA 0x00955B31
[ 2409.670289] ath10k_pci 0000:03:00.0: [04]: 0x009860FA 0x00060730 0x00000004 0x0040E8A0
[ 2409.670298] ath10k_pci 0000:03:00.0: [08]: 0x00498110 0x00955A00 0x0000000B 0x00400000
[ 2409.670307] ath10k_pci 0000:03:00.0: [12]: 0x00000009 0x00000000 0x00952CD0 0x00952CE6
[ 2409.670316] ath10k_pci 0000:03:00.0: [16]: 0x00952CC4 0x0091080D 0x00000000 0x0091080D
[ 2409.670325] ath10k_pci 0000:03:00.0: [20]: 0x409860FA 0x0040E7E8 0x00000000 0x0041E0DC
[ 2409.670335] ath10k_pci 0000:03:00.0: [24]: 0x800B5A1D 0x0040E848 0x000FFFFF 0xC09860FA
[ 2409.670345] ath10k_pci 0000:03:00.0: [28]: 0x809B3230 0x0040E948 0x00000018 0x004313B8
[ 2409.670354] ath10k_pci 0000:03:00.0: [32]: 0x809B2992 0x0040E998 0x0040E9BC 0x00429548
[ 2409.670363] ath10k_pci 0000:03:00.0: [36]: 0x8091D252 0x0040E9B8 0x00000000 0x00000001
[ 2409.670380] ath10k_pci 0000:03:00.0: [40]: 0x809FF05D 0x0040EA68 0x0043A380 0x00429C10
[ 2409.670388] ath10k_pci 0000:03:00.0: [44]: 0x809FCFDB 0x0040EA88 0x0043A380 0x00000001
[ 2409.670397] ath10k_pci 0000:03:00.0: [48]: 0x80911210 0x0040EAD8 0x00000010 0x004041D0
[ 2409.670406] ath10k_pci 0000:03:00.0: [52]: 0x80911154 0x0040EB28 0x00400000 0x00000000
[ 2409.670415] ath10k_pci 0000:03:00.0: [56]: 0x8091122D 0x0040EB48 0x00000000 0x00400600
[ 2412.195219] ath10k_pci 0000:03:00.0: device successfully recovered

Although it looks like the device successfully recovers only seconds later, wireless is gone for minutes at a time (or until I disconnect and reconnect).

Checking the latest firmware from https://github.com/kvalo/ath10k-firmware shows that it's already up to date:
$ md5sum /lib/firmware/ath10k/QCA6174/hw3.0/*
4807903c956dbd8b87f5d83c559c2211 /lib/firmware/ath10k/QCA6174/hw3.0/board-2.bin
cb37c63d9ca28f53fea1ff09ad7c7a82 /lib/firmware/ath10k/QCA6174/hw3.0/board.bin
a5dfbc03c9a7a73f7aa8d0a94a6d9426 /lib/firmware/ath10k/QCA6174/hw3.0/firmware-4.bin
8f22a7c04aa733762c0ad03e52d5de9b /lib/firmware/ath10k/QCA6174/hw3.0/notice_ath10k_firmware-4.txt

$ md5sum hw3.0-kvalo/*
4807903c956dbd8b87f5d83c559c2211 hw3.0-kvalo/board-2.bin
a5dfbc03c9a7a73f7aa8d0a94a6d9426 hw3.0-kvalo/firmware-4.bin_WLAN.RM.2.0-00180-QCARMSWPZ-1

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: linux-image-4.8.0-16-generic 4.8.0-16.17
ProcVersionSignature: Ubuntu 4.8.0-16.17-generic 4.8.0-rc7
Uname: Linux 4.8.0-16-generic x86_64
ApportVersion: 2.20.3-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: michael 1987 F.... pulseaudio
CurrentDesktop: Unity
Date: Sun Sep 25 19:00:54 2016
HibernationDevice: RESUME=UUID=9dba54d8-3423-4a6d-9016-c70cb91e3dc5
InstallationDate: Installed on 2016-09-23 (1 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20160922)
MachineType: Acer Aspire V3-372
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-16-generic root=UUID=91e188c1-9fac-43fa-bc70-ae4207d44be7 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.8.0-16-generic N/A
 linux-backports-modules-4.8.0-16-generic N/A
 linux-firmware 1.161
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/06/2016
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.08
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Aspire V3-372
dmi.board.vendor: Acer
dmi.board.version: V1.08
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.08
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.08:bd06/06/2016:svnAcer:pnAspireV3-372:pvrV1.08:rvnAcer:rnAspireV3-372:rvrV1.08:cvnAcer:ct10:cvrV1.08:
dmi.product.name: Aspire V3-372
dmi.product.version: V1.08
dmi.sys.vendor: Acer

Michael Nelson (michael.nelson) wrote :
description: updated

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.8 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

On Tue, Oct 4, 2016 at 6:25 AM Joseph Salisbury <
<email address hidden>> wrote:

Did this issue start happening after an update/upgrade? Was there a
prior kernel version where you were not having this particular problem?

No - it's a new machine on which I've installed Yakkety.

Would it be possible for you to test the latest upstream kernel? Refer
to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
v4.8 kernel[0].

Yes, though I did already try the upstream firmwares directly, which didn't
fix it. I've updated and tested with the latest 4.8 in yakkety first:

michael@hpmor2:~$ dmesg | grep ath10k.*crashed
[ 274.052266] ath10k_pci 0000:03:00.0: firmware crashed! (uuid
80f6a701-8aa3-4f34-8d20-49e478f9020a)
[ 276.900284] ath10k_pci 0000:03:00.0: firmware crashed! (uuid
55e52555-0bfb-42b8-b612-579a9188b642)
[ 1247.381606] ath10k_pci 0000:03:00.0: firmware crashed! (uuid
6f45c6af-33a0-4c5d-a65c-785a97c2ea3a)
michael@hpmor2:~$ uname -a
Linux hpmor2 4.8.0-21-generic #23-Ubuntu SMP Tue Oct 4 18:27:25 UTC 2016
x86_64 x86_64 x86_64 GNU/Linux

Then, given that you wrote your comment before the mainline/4.8.1 was
created, I've also tested with that:

michael@hpmor2:~$ dmesg | grep ath10k.*crashed
[ 652.277650] ath10k_pci 0000:03:00.0: firmware crashed! (uuid n/a)
[ 655.127699] ath10k_pci 0000:03:00.0: firmware crashed! (uuid n/a)
michael@hpmor2:~$ uname -a
Linux hpmor2 4.8.1-040801-generic #201610071031 SMP Fri Oct 7 14:34:10 UTC
2016 x86_64 x86_64 x86_64 GNU/Linux

Updating ... thanks Joseph.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
Monster (iam4war) wrote :

Hi,

I am facing a similar issue. Here is the log:

ath10k_pci 0000:02:00.0: firmware crashed!
 ath10k_pci 0000:02:00.0: qca9377 hw1.1 (0x05020001, 0x003821ff sub 11ad:08a6) fw WLAN.TF.1.0-00267-1 fwapi 5 bdapi 2 htt-ver 3.1 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1 features ignore-otp
[ 43.293109] ath10k_pci 0000:02:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
[ 43.295108] ath10k_pci 0000:02:00.0: firmware register dump:
[ 43.295111] ath10k_pci 0000:02:00.0: [00]: 0x05020001 0x000015B3 0x00985B3A 0x00955B31
[ 43.295114] ath10k_pci 0000:02:00.0: [04]: 0x00985B3A 0x00060730 0x00000004 0x00000000
[ 43.295116] ath10k_pci 0000:02:00.0: [08]: 0x00955A00 0x00438A0C 0x004510FC 0x00420970
[ 43.295118] ath10k_pci 0000:02:00.0: [12]: 0x00000009 0x00000000 0x00952CD0 0x00952CE6
[ 43.295120] ath10k_pci 0000:02:00.0: [16]: 0x00952CC4 0x009EC882 0x00000000 0x0091080D
[ 43.295122] ath10k_pci 0000:02:00.0: [20]: 0x40985B3A 0x0040E788 0x00400000 0x00421888
[ 43.295124] ath10k_pci 0000:02:00.0: [24]: 0x809BF546 0x0040E7E8 0x00426470 0xC0985B3A
[ 43.295126] ath10k_pci 0000:02:00.0: [28]: 0x809B90D8 0x0040E958 0x00000018 0x0042EA0C
[ 43.295128] ath10k_pci 0000:02:00.0: [32]: 0x809B859A 0x0040E9A8 0x0040E9D0 0x00428D74
[ 43.295129] ath10k_pci 0000:02:00.0: [36]: 0x8091D252 0x0040E9C8 0x00000000 0x00000002
[ 43.295131] ath10k_pci 0000:02:00.0: [40]: 0x809EDD7B 0x0040EA78 0x00437544 0x00429428
[ 43.295133] ath10k_pci 0000:02:00.0: [44]: 0x809EB6A6 0x0040EA98 0x00437544 0x00000001
[ 43.295135] ath10k_pci 0000:02:00.0: [48]: 0x80911210 0x0040EAE8 0x00000010 0x004041D0
[ 43.295137] ath10k_pci 0000:02:00.0: [52]: 0x80911154 0x0040EB28 0x00400000 0x00000000
[ 43.295139] ath10k_pci 0000:02:00.0: [56]: 0x8091122D 0x0040EB48 0x00000000 0x00400600
[ 43.305984] ieee80211 phy0: Hardware restart was requested
[ 45.251658] ath10k_pci 0000:02:00.0: device successfully recovered
[ 1547.386838] wlp2s0: AP e4:6f:13:b5:32:ba changed bandwidth, new config is 2462 MHz, width 1 (2462/0 MHz)

Jan Segre (jansegre) wrote :

Although not using Ubuntu, I'm also experiencing this issue on both 4.9.27 and 4.10.15. I have been experiencing this issue since I first setup my machine a few weeks ago.

This is the pattern that happens often when I leave my machine on:

```
[ 1008.043987] wlp2s0: AP 14:cc:20:da:1e:e5 changed bandwidth, new config is 2412 MHz, width 2 (2422/0 MHz)
[ 1037.415409] ath10k_pci 0000:02:00.0: firmware crashed! (uuid n/a)
[ 1037.415424] ath10k_pci 0000:02:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1028:0310
[ 1037.415428] ath10k_pci 0000:02:00.0: kconfig debug 0 debugfs 0 tracing 0 dfs 0 testmode 0
[ 1037.416312] ath10k_pci 0000:02:00.0: firmware ver WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 features wowlan,ignore-otp,no-4addr-pad crc32 75dee6c5
[ 1037.416748] ath10k_pci 0000:02:00.0: board_file api 2 bmi_id N/A crc32 19644295
[ 1037.416753] ath10k_pci 0000:02:00.0: htt-ver 3.26 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[ 1037.418802] ath10k_pci 0000:02:00.0: firmware register dump:
[ 1037.418808] ath10k_pci 0000:02:00.0: [00]: 0x05030000 0x000015B3 0x009860FA 0x00955B31
[ 1037.418812] ath10k_pci 0000:02:00.0: [04]: 0x009860FA 0x00060730 0x00000004 0x0040E8A0
[ 1037.418815] ath10k_pci 0000:02:00.0: [08]: 0x004980AC 0x00955A00 0x0000000B 0x00400000
[ 1037.418819] ath10k_pci 0000:02:00.0: [12]: 0x00000009 0x00000000 0x00952CD0 0x00952CE6
[ 1037.418822] ath10k_pci 0000:02:00.0: [16]: 0x00952CC4 0x00910712 0x00000000 0x00000000
[ 1037.418826] ath10k_pci 0000:02:00.0: [20]: 0x409860FA 0x0040E7E8 0x00000000 0x0041E0DC
[ 1037.418830] ath10k_pci 0000:02:00.0: [24]: 0x800B5A1D 0x0040E848 0x000FFFFF 0xC09860FA
[ 1037.418833] ath10k_pci 0000:02:00.0: [28]: 0x809B3230 0x0040E948 0x00000018 0x004313B8
[ 1037.418837] ath10k_pci 0000:02:00.0: [32]: 0x809B2992 0x0040E998 0x0040E9BC 0x00429548
[ 1037.418840] ath10k_pci 0000:02:00.0: [36]: 0x8091D252 0x0040E9B8 0x00000000 0x00000001
[ 1037.418844] ath10k_pci 0000:02:00.0: [40]: 0x809FF05D 0x0040EA68 0x0043A380 0x00429C10
[ 1037.418847] ath10k_pci 0000:02:00.0: [44]: 0x809FCFDB 0x0040EA88 0x0043A380 0x00000001
[ 1037.418851] ath10k_pci 0000:02:00.0: [48]: 0x80911210 0x0040EAD8 0x00000010 0x004041D0
[ 1037.418855] ath10k_pci 0000:02:00.0: [52]: 0x80911154 0x0040EB28 0x00400000 0x00000000
[ 1037.418859] ath10k_pci 0000:02:00.0: [56]: 0x8091122D 0x0040EB48 0x00000000 0x00400600
[ 1037.502646] ieee80211 phy0: Hardware restart was requested
[ 1039.891557] ath10k_pci 0000:02:00.0: device successfully recovered
[ 2122.645627] wlp2s0: AP 14:cc:20:da:1e:e5 changed bandwidth, new config is 2412 MHz, width 1 (2412/0 MHz)
```

After that happens (by the time I notice it, after 2122.645627) the network seems down, even though it reports as connected. It all comes back after a power off and power on of the card (either soft or hard works).

Since this happens on a vanilla kernel it is an upstream bug. I'd be glad to report to upstream if anyone can point to an existing bug or specific tracker. I just happen to find this issue here and thought it would be useful to report.

Kostadin Stoilov (kmstoilov) wrote :
Download full text (4.2 KiB)

This bug is still present in Ubuntu 17.10 Artful. I have experienced it after waking up from suspend on a Dell XPS 9360 with a clean Ubuntu install.

Here is the dump:

Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.661562] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.694143] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.726760] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.759262] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.791956] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.824470] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.857075] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.889653] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.922200] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30476.954870] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003a028: -110
Dec 26 17:52:04 sabina-XPS-13 kernel: [30477.569491] ath10k_pci 0000:3a:00.0: failed to read device register, device is gone
Dec 26 17:52:05 sabina-XPS-13 kernel: [30477.669015] ath10k_pci 0000:3a:00.0: firmware crashed! (uuid 283c1469-65cc-447c-a08d-c723b4f1387a)
Dec 26 17:52:05 sabina-XPS-13 kernel: [30477.669020] ath10k_pci 0000:3a:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:1535
Dec 26 17:52:05 sabina-XPS-13 kernel: [30477.669021] ath10k_pci 0000:3a:00.0: kconfig debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
Dec 26 17:52:05 sabina-XPS-13 kernel: [30477.669389] ath10k_pci 0000:3a:00.0: firmware ver WLAN.RM.4.4-00022-QCARMSWPZ-2 api 6 features wowlan,ignore-otp crc32 4d458559
Dec 26 17:52:05 sabina-XPS-13 kernel: [30477.669634] ath10k_pci 0000:3a:00.0: board_file api 2 bmi_id N/A crc32 07ee144e
Dec 26 17:52:05 sabina-XPS-13 kernel: [30477.669635] ath10k_pci 0000:3a:00.0: htt-ver 3.32 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
Dec 26 17:52:05 sabina-XPS-13 kernel: [30478.172084] ath10k_pci 0000:3a:00.0: failed to read firmware dump area: -16
Dec 26 17:52:05 sabina-XPS-13 kernel: [30478.172087] ath10k_pci 0000:3a:00.0: Copy Engine register dump:
Dec 26 17:52:05 sabina-XPS-13 kernel: [30478.302279] ath10k_pci 0000:3a:00.0: [00]: 0x00034400 4294967295 4294967295 4294967295 4294967295
Dec 26 17:52:05 sabina-XPS-13 kernel: [30478.434224] ath10k_pci 0000:3a:00.0: [01]: 0x00034800 4294967295 4294967295 4294967295 4294967295
Dec 26 17:52:05 sabina-XPS-13 kernel: [30478.565730] ath10k_pci 0000:3a:00.0: [02]: 0x00034c00 4294967295 4294967295 4294967295 4294967295
Dec 26 17:52:06 sabina-XPS-13 kernel: [30478.695977] ath10k_pci 0000:3a:00.0: [03]: 0x00035000 4294967295 42...

Read more...

Mike Schmidt (mikeschmidt) wrote :

I hope this is helpful additional data. I run Ubuntu 16.04 on a Dell XPS 15 9560. I've been using a bluetooth mouse almost daily for over a month with no problems. I left the computer on, but didn't use it for several days. I then closed the lid (causing a suspend state), later opened the lid to a frozen OS (the clock in the system tray was frozen to about the time I closed the lid). I had to hard-power-off, and have since rebooted, installed updates, rebooted again, and the network seems to work fine, but the bluetooth is no longer recognized at all. I got the same errors reported above after powering up post-freeze.

The syslog with the errors is attached. It is possible that my problem my have arisen from corruption to something when the machine froze, and is not the same consistent kernel bug described above. In either case, I'm hopeful the information posted here and attached provides value.

V-Mark (vertesmark) wrote :

I use Kubuntu 18.04 (Bionic Beaver) from fresh install.

I face very similar problem:
ath10k_pci 0000:02:00.0: firmware crashed! (guid b84d150d-4ef6-4369-bcf1-e5f53f30e725)

EVERY TIME when I would like to switch off or hibernate laptop with working WIFI state.
If I switch off WIFI before hibernate, everything is OK.
Other than switch off/hibernate I did not experience firmware crash, but I have to admit I "disabled" wifi powersave functions.

Last crash:
May 16 23:47:20 HU-NB058 wpa_supplicant[734]: wlp2s0: WPA: Group rekeying completed with 84:16:f9:7b:a6:88 [GTK=CCMP]
May 16 23:48:53 HU-NB058 kernel: [159310.466589] wlp2s0: deauthenticating from 84:16:f9:7b:a6:88 by local choice (Reason: 3=DEAUTH_LEAVING)
May 16 23:48:53 HU-NB058 systemd[1]: Starting Load/Save RF Kill Switch Status...
May 16 23:48:53 HU-NB058 systemd[1]: Started Load/Save RF Kill Switch Status.
May 16 23:48:56 HU-NB058 wpa_supplicant[734]: wlp2s0: CTRL-EVENT-DISCONNECTED bssid=84:16:f9:7b:a6:88 reason=3 locally_generated=1
May 16 23:48:56 HU-NB058 kernel: [159313.534608] ath10k_pci 0000:02:00.0: failed to install key for vdev 0 peer 84:16:f9:7b:a6:88: -110
May 16 23:48:56 HU-NB058 kernel: [159313.534616] wlp2s0: failed to remove key (0, 84:16:f9:7b:a6:88) from hardware (-110)
May 16 23:48:56 HU-NB058 kernel: [159313.540951] ath10k_pci 0000:02:00.0: firmware crashed! (guid b84d150d-4ef6-4369-bcf1-e5f53f30e725)
May 16 23:48:56 HU-NB058 kernel: [159313.540968] ath10k_pci 0000:02:00.0: qca6174 hw2.1 target 0x05010000 chip_id 0x003405ff sub 11ad:0804
May 16 23:48:56 HU-NB058 kernel: [159313.540974] ath10k_pci 0000:02:00.0: kconfig debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
May 16 23:48:56 HU-NB058 kernel: [159313.542103] ath10k_pci 0000:02:00.0: firmware ver SW_RM.1.1.1-00157-QCARMSWPZ-1 api 5 features ignore-otp,no-4addr-pad crc32 10bf8e08
May 16 23:48:56 HU-NB058 kernel: [159313.542739] ath10k_pci 0000:02:00.0: board_file api 2 bmi_id N/A crc32 ae2e275a
May 16 23:48:56 HU-NB058 kernel: [159313.542746] ath10k_pci 0000:02:00.0: htt-ver 3.1 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
May 16 23:48:56 HU-NB058 kernel: [159313.547609] ath10k_pci 0000:02:00.0: firmware register dump:
May 16 23:48:56 HU-NB058 kernel: [159313.547612] ath10k_pci 0000:02:00.0: [00]: 0x05010000 0x00000000 0x0092E4DC 0x4E0C99B6
May 16 23:48:56 HU-NB058 kernel: [159313.547614] ath10k_pci 0000:02:00.0: [04]: 0x0092E4DC 0x00060130 0x00000018 0x0041A760

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.